--
-- MobileTank
-- Specialization for a MobileTank
--
-- @author  Manuel Leithner
-- @date  18/04/09
--

MobileTank = {};

function MobileTank.prerequisitesPresent(specializations)
    return true
end;

function MobileTank:load(xmlFile)

	self.trigger = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.trigger#index"));
	table.insert(g_currentMission, GasStation:new(self.trigger));

end;

function MobileTank:delete()
end;

function MobileTank:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MobileTank:keyEvent(unicode, sym, modifier, isDown)
end;

function MobileTank:update(dt)
end;

function MobileTank:draw()
end;

